=head1 NAME

simul-gridmap - Robot dataset simulator from a gridmap and a predefined robot path

=head1 SYNOPSIS

simul-gridmap I<OPTIONS>

=head1 DESCRIPTION

B<simul-gridmap> is a command-line application which generates a synthetic rawlog of a simulated robot 
as it follows a path (given by the I<poses.txt> file) and takes measurements from a laser scanner in a 
world defined through an occupancy grid map.

=head1 OPTIONS

B<--help>                produce help message

B<--grid> arg            grid map file (*.gridmap or *.gridmap.gz)

B<--poses> arg           poses text file, one 'time x y phi' line per pose

B<--out-rawlog> arg      the output rawlog to generate  from which to take noisy
                       odometry

B<--in-rawlog> arg       (optional) the rawlog from which to take noisy odometry

B<--ranges> arg (=361)   number of laser ranges per scan (default=361)

B<--span> arg (=180)     span of the laser scans (default=180 degrees)

B<--std_r> arg (=0.01)   range noise sigma (default=0.01 meters)

B<--std_b> arg (=0.05)   bearing noise sigma (default=0.05 degrees)

B<--nologo>              skip the logo at startup

=head1 BUGS

Please report bugs at https://github.com/MRPT/mrpt/issues

=head1 SEE ALSO

The application list and their documentation: https://docs.mrpt.org/reference/latest/applications.html

=head1 AUTHORS

B<simul-gridmap> is part of the Mobile Robot Programming Toolkit (MRPT), and was originally 
written by the MAPIR laboratory (University of Malaga).

This manual page was written by Jose Luis Blanco <joseluisblancoc@gmail.com>.

=head1 COPYRIGHT

This program is free software; you can redistribute it and/or modify it
under the terms of the BSD License.

On Debian GNU/Linux systems, the complete text of the BSD License can be 
found in `/usr/share/common-licenses/BSD'.

=cut

